### Function

# GObject signal_remove_emission_hook

since: 2.0

#### Declaration

    void
    g_signal_remove_emission_hook (
      guint signal_id,
      gulong hook_id
    )

#### Description

Deletes an emission hook.

Available since: 2.0

#### Parameters

`signal_id`

  Type: `guint`

  The id of the signal.

`hook_id`

  Type: `gulong`

  The id of the emission hook, as returned by `g_signal_add_emission_hook()`